<!DOCTYPE html>
<html>
<head>
    <title>CSS Test: Leaders with various size and font</title>
    <link rel="help" href="http://www.w3.org/TR/css-gcpm-3/#dotted-leader">
    <style>
        .leaders::after {
            content: leader('.');
        }

        .smaller {
            font-size: smaller;
        }

        .medium {
            font-size: medium;
        }

        .larger {
            font-size: larger;
        }

        .serif {
            font-family: serif;
        }

        .sans-serif {
            font-family: sans-serif;
        }

        .monospace {
            font-family: monospace;
        }
    </style>
</head>
<body>
<ol>
    <li>
        <span class="leaders smaller serif">Leaders:</span><span>XX</span>
    </li>
    <li>
        <span class="leaders medium serif">Leaders:</span><span>XX</span>
    </li>
    <li>
        <span class="leaders larger serif">Leaders:</span><span>XX</span>
    </li>
    <li>
        <span class="leaders smaller sans-serif">Leaders:</span><span>XX</span>
    </li>
    <li>
        <span class="leaders medium sans-serif">Leaders:</span><span>XX</span>
    </li>
    <li>
        <span class="leaders larger sans-serif">Leaders:</span><span>XX</span>
    </li>
    <li>
        <span class="leaders smaller monospace">Leaders:</span><span>XX</span>
    </li>
    <li>
        <span class="leaders medium monospace">Leaders:</span><span>XX</span>
    </li>
    <li>
        <span class="leaders larger monospace">Leaders:</span><span>XX</span>
    </li>
</ol>
</body>
</html>
